using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public interface IAdController
{
    void LoadBanner();
    void ShowBanner();
    void CloseBanner();
    void LoadRectangleAd();
    void ShowRectangleAd();
    void CloseRectangleAd();
    void LoadInterstitialAd();
    void ShowInterstitialAd(Action onSuc,Action<string> onFail,Action<string> onClose);
    void CloseInterstitalAd();
    bool isVideoReady();
    void LoadVideoAd();
    void ShowVideoAd(Action onSuc,Action<string> onFail,Action onClose);
}
